---
title: srcdoc
slug: Web/API/HTMLIFrameElement/srcdoc
---
<div>{{APIRef('HTMLIFrameElement')}}</div>

<p>The <strong><code>srcdoc</code></strong> property of the {{domxref("HTMLIFrameElement")}} specifies the content of the page.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js highlight:[3] line-numbers language-js">var iframe = document.createElement("iframe");
iframe.srcdoc = `&lt;!DOCTYPE html&gt;&lt;p&gt;Hello World!&lt;/p&gt;`;
document.body.appendChild(iframe);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#attr-iframe-srcdoc', 'HTMLIFrameElement: srcdoc')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLIFrameElement.srcdoc")}}</p>
